


import axios from 'axios'

import store from '../store'

import {

  Toast,

} from 'vant';


export default function (url, options) {
  const { params, header, ...leftOptions } = options || {}

  return new Promise((resolve, reject) => {
    const { code, token } = store.state.user


    let header = {
      'X-Authorization-JWT': token,
    }


    axios.request({
      ...leftOptions,
      url: url,
      // header: header,
      headers: header,
    }).then(res => {
      const { code, data, message } = res.data

      if (code === 1000) {
        resolve(data)
      } else {
        // Message.error(message)
        // alert(message)

        if (code === 1001) {
          // Message.error('请重新登陆')

          // routerfrom.push('../Login.vue')

          // this.$router.replace('../Login.vue') //replace  不记录页面 ，无法返回
        }
      }



    }).catch(err => {
      const message = err.message || err.errMsg || err
      console.error("🚀 错误~ err", err)
      // Message.error('请求错误', err)


      if (err.message.includes('timeout')) {
        // 请求超时
        // Message.error('请求超时')
      }
      reject(message)
    }).finally(() => {
      // 请求结束
    })
  })
}

